
D4Science Infrastructure - Task #8673

Reconfigure the authorization clients in dev to use https://auth-d.dev.d4science.org/ as the URL for

the authentication service

May 17, 2017 07:05 PM - Andrea Dell'Amico

Status: Closed Start date: May 17, 2017

Priority: High Due date:  

Assignee: Lucio Lelii % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Dismiss

node7.d.d4science.research-infrastructur

es.eu

  

Infrastructure: Development   

Description

So that the traffic goes over https and we can get rid of the old hostname node7.d.d4science.research-infrastructures.eu

Related issues:

Related to D4Science Infrastructure - VM Creation #8561: Move authorization s... In Progress May 12, 2017

History

#1 - May 17, 2017 07:06 PM - Andrea Dell'Amico

- Related to VM Creation #8561: Move authorization service instance on  a new VM called auth-dev.d4science.org added

#2 - May 23, 2017 01:00 PM - Pasquale Pagano

- Priority changed from Normal to High

#3 - May 24, 2017 05:11 PM - Lucio Lelii

- % Done changed from 0 to 100

The configuration is set to the new endpoint, we have to change the authorization-endpoint.xml in the services of the development infrastructure to

get rid of the node7.d alias for auth-dev.d4science.org.

#4 - Oct 02, 2017 05:36 PM - Andrea Dell'Amico

Lucio Lelii wrote:

The configuration is set to the new endpoint, we have to change the authorization-endpoint.xml in the services of the development infrastructure

to get rid of the node7.d alias for auth-dev.d4science.org.

 Is it still to be done?

#5 - Oct 02, 2017 06:21 PM - Lucio Lelii

depends on how many node have been upgraded in the dev infrastructure.

If all the dev nodes contain the common-authorization library with version 2.1.1-SNAPSHOT the alias is not needed anymore. 

#6 - Oct 02, 2017 07:08 PM - Andrea Dell'Amico

Lucio Lelii wrote:

depends on how many node have been upgraded in the dev infrastructure.

If all the dev nodes contain the common-authorization library with version 2.1.1-SNAPSHOT the alias is not needed anymore.

 @roberto.cirillo@isti.cnr.it is there a way to verify?

#7 - Oct 15, 2018 02:35 PM - Andrea Dell'Amico

Any news on this one?

#8 - Oct 15, 2018 02:57 PM - Lucio Lelii
I think it can be closed.

#9 - Oct 15, 2018 03:05 PM - Andrea Dell'Amico

- Status changed from New to Closed

I just removed node7.d.d4science.research-infrastructures.eu record from the DNS.
